import request from '@/utils/request'

export function getFirmList(form) {
  return request({
    url: '/firm/company/firm/firmInfoList',
    method: 'post',
    data:form
  })
}

export function delCar(firmId) {
  return request({
    url: '/firm?firmId='+firmId,
    method: 'post'
  })
}

export function updateCar(carForm) {
  return request({
    url: '/history/car/updateCar',
    method: 'post',
    data:carForm
  })
}


export function insertCar(carInsert) {
  return request({
    url: '/history/car/insertCar',
    method: 'post',
    data:carInsert
  })
}

export function getList() {
  return request({
    url: '/history/listHistoricalTrack',
    method: 'get'
  })
}

export function deleteRecord(recordId) {
  return request({
    url: '/history/delHistoricalTrack?recordId='+recordId,
    method: 'post',
    data:recordId
  })
}
